<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.luowei.app_sb.mapper.User_70Mapper">
    <select id="select" resultType="com.luowei.app_sb.entity.User_70Entity">
        SELECT * FROM user_70 WHERE name=#{name}
    </select>
    <update id="update" parameterType="com.luowei.app_sb.entity.User_70Entity">
        UPDATE user_70 set password=#{password},address=#{address} WHERE name=#{name}
    </update>
    <insert id="insert" parameterType="com.luowei.app_sb.entity.User_70Entity">
        INSERT INTO user_70 (name,password,address)VALUES (#{name},#{password},#{address})
    </insert>
    <select id="login" parameterType="com.luowei.app_sb.entity.User_70Entity">
        SELECT COUNT(*) as counter FROM user_70 WHERE name=#{name} AND password=#{password}
    </select>
</mapper>